C Basic template file for FORTRAN

        double precision function func(x)
        implicit none
        double precision x
        func=x*x-2
        end
        
        PROGRAM MAIN
        CHARACTER*11 STR
        STR = 'hello world'
	    PRINT 10, STR
  10    FORMAT( 1X, A11 )
        print '(A$)', 'x=',func(2)
        print '("Press any key to exit... "$)'
        read (*,*)
        end
        
